很多次打开图形文件都要选HZTXT,有什么办法不选?
很多次打开图形文件都要选HZTXT,有什么办法不选?
32楼
声明:这是我从网上载来的。。。。。。跟大家分享!!
;;电脑内字体少而打开别人的图纸字体特别多怎么办?在文字样式中一个一个
修改,这当然麻烦,送一个小程序给你。这种又没技术含量又很烦的修改让电
脑去做吧。输入ft就可以执行
(defun c:ft()
;(setq orig_cmd (getvar "cmdecho"))
;(setvar "cmdecho" 0)
(setq elist (tblnext "STYLE" T))
(while (/= elist nil)
(setq nm (cdr (assoc 2 elist))
en (cdr (assoc 3 elist))
cn (cdr (assoc 4 elist))
enl (strlen en)
)
(if (and
(/= en nil)
(= cn nil)
(= (findfile en) nil)
(= (strcase (substr en (- enl 2))) "SHX")
)
(command "_style" nm "romans.shx" "0.0" "0.8" "" "" "" "")
); end if
(if (and
(/= cn nil)
(= (findfile cn) nil)
)
(command "_style" nm "romans.shx,hztxt.shx" "0.0" "0.8" "" "" "" "")
) ;end if
(setq elist (tblnext "STYLE"))
);end while
;(setvar "cmdecho" orig_cmd)
)
回复
33楼
声明:这是我从网上载来的。。。。。。跟大家分享!!
;;电脑内字体少而打开别人的图纸字体特别多怎么办?在文字样式中一个一个
修改,这当然麻烦,送一个小程序给你。这种又没技术含量又很烦的修改让电
脑去做吧。输入ft就可以执行
(defun c:ft()
;(setq orig_cmd (getvar "cmdecho"))
;(setvar "cmdecho" 0)
(setq elist (tblnext "STYLE" T))
(while (/= elist nil)
(setq nm (cdr (assoc 2 elist))
en (cdr (assoc 3 elist))
cn (cdr (assoc 4 elist))
enl (strlen en)
)
(if (and
(/= en nil)
(= cn nil)
(= (findfile en) nil)
(= (strcase (substr en (- enl 2))) "SHX")
)
(command "_style" nm "romans.shx" "0.0" "0.8" "" "" "" "")
); end if
(if (and
(/= cn nil)
(= (findfile cn) nil)
)
(command "_style" nm "romans.shx,hztxt.shx" "0.0" "0.8" "" "" "" "")
) ;end if
(setq elist (tblnext "STYLE"))
);end while
;(setvar "cmdecho" orig_cmd)
)
回复
34楼
声明:这是我从网上载来的。。。。。。跟大家分享!!
;;电脑内字体少而打开别人的图纸字体特别多怎么办?在文字样式中一个一个
修改,这当然麻烦,送一个小程序给你。这种又没技术含量又很烦的修改让电
脑去做吧。输入ft就可以执行
(defun c:ft()
;(setq orig_cmd (getvar "cmdecho"))
;(setvar "cmdecho" 0)
(setq elist (tblnext "STYLE" T))
(while (/= elist nil)
(setq nm (cdr (assoc 2 elist))
en (cdr (assoc 3 elist))
cn (cdr (assoc 4 elist))
enl (strlen en)
)
(if (and
(/= en nil)
(= cn nil)
(= (findfile en) nil)
(= (strcase (substr en (- enl 2))) "SHX")
)
(command "_style" nm "romans.shx" "0.0" "0.8" "" "" "" "")
); end if
(if (and
(/= cn nil)
(= (findfile cn) nil)
)
(command "_style" nm "romans.shx,hztxt.shx" "0.0" "0.8" "" "" "" "")
) ;end if
(setq elist (tblnext "STYLE"))
);end while
;(setvar "cmdecho" orig_cmd)
)
回复
35楼
非常感谢学了一招
回复
36楼
方法太多,适合自己的就好
回复
37楼
可以用吗?那我
顶一下
回复
38楼
可以替换:
1.打开cad安装文件夹,找到fons文件夹进入后找到gbcbig.shx复制粘贴改名为HZTXT.SHX。
2.工具--选项--文件--支持文件搜索路径--添加--浏览--选择字体的文件夹(fons)--确定
以后在运行就没有提示了!!
回复